Subject: Re: SUGGESTED ARQ TEXT Advice for Internet Subnetwork Designers ID

From: Nitin H Vaidya <[email-masked]>
Date: Wed, 20 Jun 2001 10:23:07 -0500 (CDT)

>> From [email-masked] Wed Jun 20 10:10:41 2001
  >> 
  >> On Wed, 20 Jun 2001, Nitin H Vaidya wrote:
  >> 
  >> >   >> > Actually, both ARQ and FEC rely entirely on the transmission of
  >> >   >> > redundant information.
  >> >   >> 
  >> >   >> I'd argue that if it's requested by the other end, it's not redundant.
  >> > 
  >> > Whether of not it is requested by the receiver, the word "redundant"
  >> > seems appropriate (this is the word the coding folks would often use).
  >> 
  >> ARQ isn't coding, though. If you want to argue semantics, if it's
  >> redundant it's not actually information... coding and information are
  >> distinct, as are coding theory and information theory.

I don't really want to argue semantics (beyond correcting the comment
you made about redundancy).

Redundant does not necessarily imply bits that are different from data.
If you send two copies of the data bits (information), there is redundancy
in the transmitted bits - this is what a simple replication code would do
(it does not matter whether you sent the two copies together or
at different times).

I am not sure what you intended to mean by
"if it's redundant it's not actually information",
but that sounds incorrect to me (or, at least, unclear).

  >> >   >> > In most systems that I know, FEC is implemented entirely in what we'd
  >> >   >> > usually call the physical layer.
  >> >   >> 
  >> >   >> FEC is logical, not physical...
  >> > 
  >> > Not sure if this last comment was meant to be taken seriously - what
  >> > does logical mean here ?
  >> 
  >> It means data-link. 'In data-link, close to physical' is a very
  >> accurate description of that.
  >> 
  >> > FEC can be used at various layer. It is often used in the physical
  >> > layer (as Phil suggests).
  >> 
  >> Certainly modulation and base symbol constellations are in phy. But
  >> use of and meaning attached to those symbol constellations after
  >> discrimination? FEC is a logical construct, and therefore has to be in
  >> a logical layer. And all the layers above phy are logical, including
  >> data-link decisions that redefine use and meaning of phy.

I guess we are saying the same thing, but using a different
notion of where the physical layer ends. So I won't argue on this
one further.

- nitin

  >> 
  >> (This includes e.g. a lot of CDMA internals. CDMA is not a purely
  >> physical process, but many descriptions I've read throw a lot more
  >> into the physical layer than I would think reasonable. The
  >> seven-layer OSI stack is pretty much useless for describing any
  >> wireless link accurately, thanks to layered repetition of a number of 
  >> elements.)
  >> 
  >> L.
  >> 
  >> <[email-masked]>PGP<http://www.ee.surrey.ac.uk/Personal/L.Wood/>
  >> 
  >>

---

From: Gorry Fairhurst <[email-masked]>
Date: Wed, 20 Jun 2001 19:34:39 +0100

> (it does not matter whether you sent the two copies together or

At the physical layer, that's true.

> but that sounds incorrect to me (or, at least, unclear).

I guess from an ARQ perspective:
Consider a frame which is sent, corrupted, resent, and correctly received.
The layer 2 protocol receiver NEVER got the first frame that was corrupted,
because the CRC check would presumably silently discard the frame. 
Hence a retransmission (the same frame sent again) across a link causes
only the second frame to be delivered to the receiver protocol entity.
ALthough the retransmission is a copy, from the coding point of view, it
is not redundant - it is required.  The term redundant may be used by ARQ
designers to describe a system sending more than one copy of a retransmitted
frame - e.g. in the above example, if the receiver were to send two frames
in response to the loss. 

I prefer to think of ARQ as not introducing redundancy.

> notion of where the physical layer ends. So I won't argue on this

Hope I helped, not confused this debate.